package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgJgStat;

/**
 * 井盖相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgJgDao {

	/******** 井盖状态 ********/
	public List<PgJgStat> findAllStat();
	public PgJgStat findStatById(Integer id);
	
	public List<PgJgStat> findStatByDevice(Integer deviceid);
	public List<PgJgStat> findStatByDeviceAndTm(Integer deviceid, String start, String end);
	public PgJgStat findLatestStatByDevice(Integer deviceid);
	
	public int addSbjzRecord(PgJgStat jgstat);
	public int addSbjzRecord(boolean open, boolean lock, String tm, int deviceid);
}
